none
Making my MacOs X 10.10.5 work with a Mac OS X v10.6.8 to 10.7 compatible Digital Slide Scanner RRS feed

  • Question

  • Basically Im trying to find out if downloading this software will allow this digital slide scanner to work on my more current MacOs X 10.10.5 even though it says it requires a Mac OS X v10.6.8 to 10.7 to be compatible. Does anyone feel this will work? Any response will do ill even settle for a yes or no if you can manage. Thanks :)
    Monday, March 12, 2018 3:17 PM

Answers

All replies